Org Companies
Get Org Companies
Get a list of companies from your orgs
GET
/
companies
Get Org Companies
curl --request GET \
--url https://api.seamless.ai/api/client/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.seamless.ai/api/client/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.seamless.ai/api/client/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.seamless.ai/api/client/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.seamless.ai/api/client/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.seamless.ai/api/client/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.seamless.ai/api/client/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"username": "jane.doe@example.com",
"researchedAt": "2024-04-21T14:30:00.000Z",
"foundedOn": "2015",
"name": "Seamless.AI",
"description": "Seamless.AI is a sales intelligence platform.",
"lIProfileUrl": "https://www.linkedin.com/company/seamless-ai/",
"industries": [
"Information Technology and Services",
"Computer Software"
],
"naicsCode": "541512",
"sicCode": "7372",
"staffCountRange": "501 - 1,000 employees",
"revenueRange": "$1B+",
"location": {
"street1": "800 W El Camino Real",
"street2": "Suite 200",
"street3": "<string>",
"city": "Mountain View",
"state": "CA",
"stateAbbr": "CA",
"postCode": "94040",
"country": "United States",
"countryAbbr": "US",
"countryAlpha2": "US",
"countryAlpha3": "USA",
"countryNumeric": 840,
"fullString": "800 W El Camino Real, Mountain View, CA 94040, United States",
"id": "48213"
},
"domain": "seamless.ai",
"companyNews": "https://www.google.com/search?q=Seamless.AI&tbm=nws",
"employeeReviews": "http://www.glassdoor.com/Reviews/Seamless.AI-reviews-SRCH_KE0,11.htm",
"googleFinance": "http://www.google.com/finance?q=Seamless.AI",
"googleResearch": "https://www.google.com/search?q=Seamless.AI",
"jobPostings": "http://www.glassdoor.com/Job/jobs.htm?sc.keyword=Seamless.AI",
"secFilings": "https://www.sec.gov/cgi-bin/browse-edgar?company=Seamless.AI&action=getcompany",
"seoResearch": "https://ahrefs.com/site-explorer/overview/subdomains?target=seamless.ai",
"socialMediaPosts": "http://www.social-searcher.com/social-buzz/?q5=seamless.ai",
"tweets": "https://twitter.com/search?q=Seamless.AI",
"websiteAudit": "http://www.similarweb.com/website/seamless.ai",
"webTechnologies": "https://builtwith.com/seamless.ai",
"wikipedia": "https://en.wikipedia.org/wiki/Seamless.AI",
"yahooFinance": "http://finance.yahoo.com/q?s=Seamless.AI",
"newsAndEvents": [
{
"title": "<string>",
"url": "<string>",
"date": "2023-12-25",
"type": "<string>"
}
],
"companyPhones": [
{
"type": "company",
"phone": "650.555.0100"
}
],
"fundingTotal": "100000",
"latestFundingDate": "2023-08-12",
"latestFundingClassifications": [
"Series D"
]
}
]
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"msg": "<string>",
"code": "<string>"
}Authorizations
OAuth2ApiKeyAuth
Query Parameters
Was this page helpful?
⌘I
Get Org Companies
curl --request GET \
--url https://api.seamless.ai/api/client/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.seamless.ai/api/client/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.seamless.ai/api/client/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.seamless.ai/api/client/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.seamless.ai/api/client/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.seamless.ai/api/client/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.seamless.ai/api/client/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"username": "jane.doe@example.com",
"researchedAt": "2024-04-21T14:30:00.000Z",
"foundedOn": "2015",
"name": "Seamless.AI",
"description": "Seamless.AI is a sales intelligence platform.",
"lIProfileUrl": "https://www.linkedin.com/company/seamless-ai/",
"industries": [
"Information Technology and Services",
"Computer Software"
],
"naicsCode": "541512",
"sicCode": "7372",
"staffCountRange": "501 - 1,000 employees",
"revenueRange": "$1B+",
"location": {
"street1": "800 W El Camino Real",
"street2": "Suite 200",
"street3": "<string>",
"city": "Mountain View",
"state": "CA",
"stateAbbr": "CA",
"postCode": "94040",
"country": "United States",
"countryAbbr": "US",
"countryAlpha2": "US",
"countryAlpha3": "USA",
"countryNumeric": 840,
"fullString": "800 W El Camino Real, Mountain View, CA 94040, United States",
"id": "48213"
},
"domain": "seamless.ai",
"companyNews": "https://www.google.com/search?q=Seamless.AI&tbm=nws",
"employeeReviews": "http://www.glassdoor.com/Reviews/Seamless.AI-reviews-SRCH_KE0,11.htm",
"googleFinance": "http://www.google.com/finance?q=Seamless.AI",
"googleResearch": "https://www.google.com/search?q=Seamless.AI",
"jobPostings": "http://www.glassdoor.com/Job/jobs.htm?sc.keyword=Seamless.AI",
"secFilings": "https://www.sec.gov/cgi-bin/browse-edgar?company=Seamless.AI&action=getcompany",
"seoResearch": "https://ahrefs.com/site-explorer/overview/subdomains?target=seamless.ai",
"socialMediaPosts": "http://www.social-searcher.com/social-buzz/?q5=seamless.ai",
"tweets": "https://twitter.com/search?q=Seamless.AI",
"websiteAudit": "http://www.similarweb.com/website/seamless.ai",
"webTechnologies": "https://builtwith.com/seamless.ai",
"wikipedia": "https://en.wikipedia.org/wiki/Seamless.AI",
"yahooFinance": "http://finance.yahoo.com/q?s=Seamless.AI",
"newsAndEvents": [
{
"title": "<string>",
"url": "<string>",
"date": "2023-12-25",
"type": "<string>"
}
],
"companyPhones": [
{
"type": "company",
"phone": "650.555.0100"
}
],
"fundingTotal": "100000",
"latestFundingDate": "2023-08-12",
"latestFundingClassifications": [
"Series D"
]
}
]
}{
"msg": "<string>",
"code": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"msg": "<string>",
"code": "<string>"
}